function formToArray(form, ignoreList) {
	var resultat = new Array();
	ignoreList = (isset(ignoreList) && isset(ignoreList[0])) ? ignoreList : new Array();
	
	if (!isset(form.elements))
		return resultat;
	
	for (var i=0; i<form.elements.length; i++) {
		if (isset(form.elements[i].name) && isset(form.elements[i].value) && form.elements[i].name != "" && !inArray(form.elements[i].name, ignoreList))
			resultat[form.elements[i].name] = form.elements[i].value;
	}
	
	return resultat;
}